%define name audacious
%define svn 0
%define pre 0
%if %pre
%if %svn
%define release	%mkrel 0.%pre.%svn.1
%define fname %name-%svn
%else
%define release	%mkrel 0.%pre.1
%define fname %name-%version-%pre
%endif
%else
%define fname %name-%version
%define release %mkrel 1
%endif
%define major 		5
%define libname 	%mklibname %{name} %{major}
%define libname_devel 	%mklibname %{name} %{major} -d

Summary:	A versatile and handy media player
Name:		%name
Version:	1.3.1
Release:	%release
Epoch:		4
Source0:	http://audacious-media-player.org/release/%fname.tar.bz2
# Patch to make it check ~/.xmms for skins too
Patch1:		audacious-1.3.0-alpha3-xmms-skins.patch
License:	GPL
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:  libmcs-devel
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:  desktop-file-utils
BuildRequires:  chrpath
BuildRequires:  gtk-doc
Requires: audacious-plugins
Requires:	%{libname} = %epoch:%{version}
Provides:	beep-media-player
Obsoletes:	beep-media-player
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}
Epoch: %epoch

%description -n %{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
# gw for libaudid3tag.so
Requires:	%name = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Epoch: %epoch

%description -n %{libname_devel}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%prep
%if %svn
%setup -q -n %name
%else
%setup -q -n %fname
%endif
%patch1 -p1 -b .ski
%if %svn
sh ./autogen.sh
%endif
autoconf

%build
%configure2_5x
%make
make documentation-build

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
chrpath -d %buildroot%_bindir/*
mkdir installed-docs
cp -r doc/audacious/html installed-docs/audacious
cp -r doc/libaudacious/html installed-docs/libaudacious

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %name
rm -f %buildroot%_includedir/mp4.h


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%clean_desktop_database

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(0755,root,root,0755)
%_bindir/audtool
%{_bindir}/%name
%dir %_libdir/%name/
%_libdir/%name/libaudid3tag.so
%defattr(0644,root,root,0755)
%doc AUTHORS NEWS README
%{_datadir}/applications/%name.desktop
%dir %{_datadir}/%name
%dir %{_datadir}/%name/glade
%{_datadir}/%name/glade/*.glade
%dir %{_datadir}/%name/images
%{_datadir}/%name/images/*.png
%{_datadir}/%name/images/*.xpm
%dir %{_datadir}/%name/Skins
%{_datadir}/%name/Skins/*
%{_datadir}/%name/ui/
%{_mandir}/man1/*
%_datadir/pixmaps/%name.png

%files -n %{libname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%doc installed-docs/*
%dir %{_includedir}/%name
%{_includedir}/%name/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 141623
- new version
- drop legacy menu

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-1mdv2007.1
+ Revision: 131803
- new version
- drop merged patch
- add developer's docs

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.2mdv2007.1
+ Revision: 130577
- fix keybinding (bug #28975
- revert bad checkin
- svn snapshot 4189

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.1mdv2007.1
+ Revision: 125892
- new version
- drop patch

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc1.1mdv2007.1
+ Revision: 125865
- new version 1.3.0rc1
- depend on mcs
- fix library installation

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.2-1mdv2007.1
+ Revision: 121596
- back to stable version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.3mdv2007.1
+ Revision: 120735
- fix error in the desktop file

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.2mdv2007.1
+ Revision: 120293
- fix audacious -e (bug #28685)

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.1mdv2007.1
+ Revision: 116596
- new version

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.1mdv2007.1
+ Revision: 113695
- new version
- rediff the patch

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.2mdv2007.1
+ Revision: 109400
- rebuild

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.1mdv2007.1
+ Revision: 105443
- new version
- update the patch

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 86930
- new version
- add new skins

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 73025
- new version
- remove merged A-B patch and README.MDK
- new major

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.0-0.rc3.1mdv2006.0
+ Revision: 64486
- new version
- add new version
- new version
- add new skins
- unpack patches
- Import audacious




* Thu Sep 21 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-0.rc1.1mdv2007.0
- update file list
- drop patch 3
- new version

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Sun Jul 23 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Sun Jul 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Mon Jul  3 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Mon Jun 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Mon Jun 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Mon Mar 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb  3 2006 Gtz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan  4 2006 Gtz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec  8 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec  2 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Sun Aug 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Mon Aug 15 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Wed Aug 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Sun Jun 19 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Mon Jun 13 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Fri May 27 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sat Apr 16 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 7 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Thu May 20 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Sun May 05 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Tue Apr 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Sun Apr 11 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040220.2mdk
- fix buildrequires

* Wed Feb 23 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040220.1mdk
- new cvs snapshot
- fix requires for devel package

* Tue Feb 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040208.1mdk
- ship with freedesktop.org menu entry
- use the configure2_5x macro
- new cvs snapshot

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6.2-0.20040128.2mdk
- fix invalid menu section
- compress patch

* Wed Jan 28 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040128.1mdk
- new cvs snapshot

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- new release
- rename as binary and tarball name
- rediff patch 1

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.3mdk
- adapted BuildRequires to require package instead of files
- own %{_libdir}/bmp/General
- new menu structure

* Thu Jan 22 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.2mdk
- patch1: also search for skins in XMMS' skin directory

* Wed Jan 21 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.1mdk
- new cvs snapshot
- let menu generate mime type stuff from menu entry, i.e. add mime types
  to menu entry and remove gnome mime type file
- generate small icons from big one using convert
- further cleanups

* Sun Jan 18 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9.6.1-2mdk
- Add menu item
- Add gnome mime type
- Put plugins in main package

* Fri Jan  9 2004 Olivier Blin <blino@mandrake.org> 0.9.6.1-1mdk
- fix bad patch in Mandrake's libtool
- Patch0: fix g_build_filename bug (use NULL to finish arguments)
- initial release
